/*
	author: Sarah
	Date: Spring 2020
	
	Purpose: this example uses AJAX to get a peice of data out of 
	a text file on the server, 
	and then loads it into one element using its id
*/
	//create a request
	let request = new XMLHttpRequest();
	//open the request and indicate the method and file to request
	//we're not using the optional async parameter, so it is set to default: true
	request.open('GET', 'data.txt');
	
	//when the ready state changes, an event handler is called
	//onreadystatechange contains the event handler to be called,
	//so we set it to our function defined here
	//we need to make sure this is defined before we send the request
	request.onreadystatechange=function(){
		
		//output the ready state to the console for debugging purposes
		console.log(request.readyState);
		
		//ready state of 4 indicates DONE
		//status of 200 indicates success
		if(request.readyState === 4 && request.status === 200){
			console.log(request);

			//get the element we want
			let mod = document.getElementById('demo');
			//the responseText has the results of our request, which is the text
			//in the file we retrieved
			
			mod.innerHTML = request.responseText;
		}
	}
	//send the request
	request.send();
