/*
	author: Sarah
	date: spring 2020
	purpose: simple event driven ajax
*/
/*
	rather than adding the event handler to the element in the html, you could
	load it dynamically like this:
	var myButton = document.getElementById('loadbutton');
	myButton.onclick = loadAJAX;
*/

//unlike previous examples, this one will create and fire the request
//when this function is called
//it is added to the div, using the onmouseover event AND on the button
function loadAJAX(){
	let request = new XMLHttpRequest();
	
	request.open('GET', 'data.json');
	console.log("request formed");
	
	request.onreadystatechange = function() {
		if ((request.readyState===4) && (request.status===200)) {
			let items = JSON.parse(request.responseText);
			let output = '<ul>';
			for (var key in items) {
				output += '<li>' + items[key].name + '</li>';
			}
			output += '</ul>';
			document.getElementById('update').innerHTML = output;
		}
	}
	request.send();
}
//this function clears the div of the added data
function restorePage(){
	document.getElementById('update').innerHTML = "";
}
